Bug 978350 - ThinLVM and NetApp NFS drivers.
ThinLVM and NetApp NFS drivers.
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: ---
: 5.0 (RHEL 7)
Assigned To: Don Domingo
Martin Lopes
docs-rhos5-ups docs-rhos5-icg-others
: Documentation, Triaged
Depends On:
Blocks: 984923 1185150 1345775
  Show dependency treegraph
 
Reported: 2013-06-26 08:37 EDT by Stephen Gordon
Modified: 2016-06-13 03:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-04 09:07:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: needinfo+
scohen: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-06-26 08:37:08 EDT
Apparently ThinLVM and NetApp NFS should be listed as supported block storage drivers. This requires updates to the Cinder material and the common introduction.

>> going trough the install doc I noticed the following in the Volume
>> Service Specific Configuration:
>>
>> """
>> The service includes volume drivers for a number of block storage
>> providers. Supported drivers for LVM, NFS, and Red Hat Storage are
>> included.
>> """
>>
>> I think we ship a number of additional drivers too, notably NetApp and
>> EMC and the ThinLVM. There are others too.
>>
>> Do we avoid mentioning those for a supportability problem or are they
>> just missing from the list?
>
> We also package networking plug-ins other than linuxbridge and openvswitch as well, but we only highlight those that were actually tested and therefore will be supported via GSS. If there was test coverage of additional drivers than by all means provide that information.

ThinLVM and NetApp NFS

Thanks!!
-- 
Giulio Fidente

I think it was originally written with RHOS 2.1 in mind, which didn't
have ThinLVM.  Any other omissions were only based on which drivers we
had prioritized for QE testing.

--
Eric Harney
Comment 14 Don Domingo 2014-04-27 20:27:25 EDT
Setting to HIGH so we can keep track of it better.
Comment 16 Martin Lopes 2014-08-28 00:05:45 EDT
Looks good to me. Verified.

Note You need to log in before you can comment on or make changes to this bug.